summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2024-09-08 03:10:42 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-14 23:36:51 +0700
commit5a51c392cfb8a008bdb6ce3d322ffe19f8da8bad (patch)
tree18b18e92efc0693019ea6d79622cf30d808768a4 /graphics
parent02e04f3360b06f94d93bd5577696dede532eda78 (diff)
downloadslackbuilds-5a51c392cfb8a008bdb6ce3d322ffe19f8da8bad.tar.gz
slackbuilds-5a51c392cfb8a008bdb6ce3d322ffe19f8da8bad.tar.xz
graphics/GraphicsMagick: Updated for version 1.3.45.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.SlackBuild24
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.info8
-rw-r--r--graphics/GraphicsMagick/README5
3 files changed, 23 insertions, 14 deletions
diff --git a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
index a95d9b4010..5271bbae51 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
+++ b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
@@ -8,6 +8,7 @@
# MIA. Original version had no license; I'm licensing the update under the
# terms of the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20240908 bkw: update for v1.3.45.
# 20240822 bkw: update for v1.3.44.
# 20231108 bkw: update for v1.3.42.
# 20230710 bkw: update for v1.3.40.
@@ -49,7 +50,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=GraphicsMagick
-VERSION=${VERSION:-1.3.44}
+VERSION=${VERSION:-1.3.45}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -87,6 +88,7 @@ fi
set -e
+DELAY="${DELAY:-5}"
OLDVER="$(pkg-config --silence-errors --modversion $PRGNAM || true)"
if [ "$OLDVER" != "" ]; then
cat <<EOF 1>&2
@@ -94,13 +96,18 @@ if [ "$OLDVER" != "" ]; then
*
* $PRGNAM is already installed (version $OLDVER).
*
-* If the build fails, 'removepkg $PRGNAM' and try again.
+* Press Ctrl-C to abort now, or wait $DELAY seconds for the build to start.
+* If it fails, run:
+*
+* # removepkg $PRGNAM
+*
+* ...and try again.
*
* Don't say I didn't warn you.
*
************************************************************************
EOF
- sleep 3
+ sleep $DELAY
fi
@@ -111,8 +118,8 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
- \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
# libfpx isn't autodetected, so let's help it a bit:
if [ -e /usr/include/fpxlib.h ]; then
@@ -248,9 +255,10 @@ find $PKG -name perllocal.pod \
-o -name "*.bs" | \
xargs rm -rf || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog *.txt $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a ChangeLog *.txt $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
sed \
diff --git a/graphics/GraphicsMagick/GraphicsMagick.info b/graphics/GraphicsMagick/GraphicsMagick.info
index 4eaa238d2f..6fae76fbcd 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.info
+++ b/graphics/GraphicsMagick/GraphicsMagick.info
@@ -1,8 +1,8 @@
PRGNAM="GraphicsMagick"
-VERSION="1.3.44"
-HOMEPAGE="http://www.graphicsmagick.org/"
-DOWNLOAD="https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.44/GraphicsMagick-1.3.44.tar.xz"
-MD5SUM="fee1b4d292eaf69db861936c70650ebb"
+VERSION="1.3.45"
+HOMEPAGE="https://graphicsmagick.sourceforge.io/index.html"
+DOWNLOAD="https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.45/GraphicsMagick-1.3.45.tar.xz"
+MD5SUM="5eb76e9af7b887a8828fce11aa1e2f1c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/GraphicsMagick/README b/graphics/GraphicsMagick/README
index 62b6b38931..234779f449 100644
--- a/graphics/GraphicsMagick/README
+++ b/graphics/GraphicsMagick/README
@@ -8,8 +8,9 @@ JPEG-2000, PNG, PDF, PNM, and TIFF.
If you have an older version of GraphicsMagick installed, it's a good
idea to 'removepkg GraphicsMagick' before building the new version. If
-you don't do this, the build might work anyway... Upgrading from 1.3.29
-to 1.3.30 has been tested and seems to work, but I make no guarantees.
+you don't do this, the build might work anyway... Upgrading from
+1.3.29 to 1.3.30 and 1.3.44 to 1.3.45 has been tested and seems to
+work, but I make no guarantees.
This build includes PerlMagick (the Perl language bindings for
GraphicsMagick) and TclMagick (Tcl bindings). If you really need to,